Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.server
Class EndServiceEventDetailed

    java.lang.Object
      umontreal.iro.lecuyer.simevents.Event
          umontreal.iro.lecuyer.contactcenters.server.EndServiceEvent
              umontreal.iro.lecuyer.contactcenters.server.EndServiceEventDetailed

All Implemented Interfaces:
  Cloneable, Comparable<Event>, ContactStepInfo

    public class EndServiceEventDetailed

extends EndServiceEvent

Represents the end-service event for a detailed agent group.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.simevents.Event
`eventTime, priority, sim`

Constructor Summary
`protected` | `EndServiceEventDetailed(Contact contact, Agent agent, double beginServiceTime)` Constructs a new end-service event with contact `contact` served by agent `agent`, with service beginning at `beginServiceTime`.

Method Summary
`Agent` | `getAgent()` Returns the agent serving or having served the contact.
`DetailedAgentGroup` | `getAgentGroup()` Returns the agent group containing the agent serving the contact.
`String` | `toString()`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.server.EndServiceEvent
`actions, afterContactDone, clone, clone, contactDone, endContact, endService, getBeginServiceTime, getContact, getEffectiveAfterContactTime, getEffectiveContactTime, getEffectiveEndContactType, getEffectiveEndServiceType, getEndingTime, getScheduledAfterContactTime, getScheduledContactTime, getScheduledEndContactType, getScheduledEndServiceType, getStartingTime, isObsolete, schedule, setScheduledEndContactType, setScheduledEndServiceType, wasGhostAgent`

Methods inherited from class umontreal.iro.lecuyer.simevents.Event
`cancel, cancel, compareTo, getRa, priority, reschedule, scheduleAfter, scheduleBefore, scheduleNext, setPriority, setRa, setSimulator, setTime, simulator, time`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EndServiceEventDetailed

    protected EndServiceEventDetailed(Contact contact,
                                      Agent agent,
                                      double beginServiceTime)

  Constructs a new end-service event with contact `contact` served by agent `agent`, with service beginning at `beginServiceTime`.

  This constructor is rarely used directly; the recommended way to create end-service events is to use `DetailedAgentGroup.serve(Contact)`.

  Parameters:
    `contact` - the contact being served.
    `agent` - the agent serving the contact.
    `beginServiceTime` - the simulation at which the service begins.

Method Detail

### getAgentGroup

    public DetailedAgentGroup getAgentGroup()

  Description copied from class: `EndServiceEvent`
  Returns the agent group containing the agent serving the contact.

  Overrides:
    `getAgentGroup` in class `EndServiceEvent`
  Returns:
    the agent group serving the contact.

### getAgent

    public Agent getAgent()

  Returns the agent serving or having served the contact.

  Returns:
    the serving agent.

### toString

    public String toString()

  Overrides:
    `toString` in class `EndServiceEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.